
GammaLib - Feature #3558

Add support for diffuse models in COMPTEL module

03/02/2021 04:56 PM - Knödlseder Jürgen

Status: Closed Start date: 03/02/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Support should be added in the COMPTEL module for diffuse models to allow inclusion of such models in the analysis.

History

#1 - 03/03/2021 02:16 PM - Knödlseder Jürgen

- File diffuse_map.png added

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 2.0.0

- % Done changed from 0 to 50

I implemented the GCOMResponse::irf_diffuse() vector response method. The method loops over all Chi and Psi pixels, and for each pixel, integrates

the diffuse model over a circular area. This is done by looping over the Phigeo bins of the response, and for each Phigeo bin, integrating azimuthally.

The azimuthal step size is determined so that the step size corresponds to the Phigeo bin size, which is typically one degree. Hence the integration

steps are fully determined by the response Phigeo binsize.

The results for the response to the Crab nebula is illustrated below. The top row shows two Phibar layers (Phibar of 5 deg and 25 deg) for the point

source response, computed using GCOMResponse::irf_ptsrc() while the bottom row shows the same Phibar layers for the diffuse response computed

using GCOMResponse::irf_diffuse(). A FITS map of the Crab nebula was used for the computation of the diffuse responses. The differences are

rather small. The bottom row looks a bit broader which is very likely related to the spatial structure that is seen in the FITS map.
#2 - 03/03/2021 02:32 PM - Knödlseder Jürgen

- File diffuse_galprop.png added

- % Done changed from 50 to 60

The panels below show the diffuse response for the Crab vp0001 in the energy band 1-3 MeV to the Inverse Compton model (top row) and the

Bremsstrahlungs model (bottom row). The response is shown for Phibar equal to 5 deg (left) and 25 deg (right). The Inverse Compton model is rather

uniform in the antricentre direction, hence the response is relatively independent of Phibar. The Bremsstrahlungs model is more structured along the

galactic plane, showing a more tighter concentration for small Phibar than for large Phibar. Overall the response looks plausible.

 

#3 - 03/03/2021 02:41 PM - Knödlseder Jürgen

- % Done changed from 60 to 70

Here is a comparison of a ctlike fit to the Crab data in the 4 standard energy bands for vp0001. The background was modelled using a Phibar

normalised DRG. The Crab was modelled once by a diffuse map and once by a point source. The fit results are very similar in both cases. They are

compared in the table below:

Parameter Diffuse map Point source

logL 62082.826 62082.464

Npred 518847.998 518847.980

TS 1342.202 1341.478

Prefactor 0.00229 +/- 0.00010 0.00197 +/- 0.00009

Index 2.128 +/- 0.033 2.137 +/- 0.034

For reference, an excerpt of the ctlike logfile for fitting the Crab using a diffuse map are given below:

2021-03-03T13:20:26: +=================================+

2021-03-03T13:20:26: | Maximum likelihood optimisation |

2021-03-03T13:20:26: +=================================+

2021-03-03T13:29:47:  >Iteration   0: -logL=-61666.191, Lambda=1.0e-03

2021-03-03T13:29:48:  >Iteration   1: -logL=-62080.650, Lambda=1.0e-03, delta=414.459, step=1.0e+00, max(|grad|)=161.003083 [Index:2]

2021-03-03T13:29:49:  >Iteration   2: -logL=-62082.819, Lambda=1.0e-04, delta=2.169, step=1.0e+00, max(|grad|)=-6.518006 [Index:2]

2021-03-03T13:29:49:  >Iteration   3: -logL=-62082.826, Lambda=1.0e-05, delta=0.007, step=1.0e+00, max(|grad|)=0.992142 [Index:2]

2021-03-03T13:29:50:  >Iteration   4: -logL=-62082.826, Lambda=1.0e-06, delta=0.000, step=1.0e+00, max(|grad|)=-0.127263 [Index:2]

2021-03-03T13:29:51:

2021-03-03T13:29:51: +====================================+

2021-03-03T13:29:51: | Maximum likelihood re-optimisation |

2021-03-03T13:29:51: +====================================+

2021-03-03T13:29:52:  >Iteration   0: -logL=-60954.388, Lambda=1.0e-03

2021-03-03T13:29:52:  >Iteration   1: -logL=-61410.250, Lambda=1.0e-03, delta=455.862, step=1.0e+00, max(|grad|)=-76.048876 [Scale factor 6:43]

2021-03-03T13:29:53:  >Iteration   2: -logL=-61411.725, Lambda=1.0e-04, delta=1.474, step=1.0e+00, max(|grad|)=-0.260701 [Scale factor 6:43]

2021-03-03T13:29:54:  >Iteration   3: -logL=-61411.725, Lambda=1.0e-05, delta=0.000, step=1.0e+00, max(|grad|)=-0.000025 [Scale factor 4:135]

2021-03-03T13:29:54:

2021-03-03T13:29:54: +=========================================+

2021-03-03T13:29:54: | Maximum likelihood optimisation results |

2021-03-03T13:29:54: +=========================================+

2021-03-03T13:29:54: === GOptimizerLM ===

2021-03-03T13:29:54:  Optimized function value ..: -62082.826

2021-03-03T13:29:54:  Absolute precision ........: 0.005

2021-03-03T13:29:54:  Acceptable value decrease .: 2

2021-03-03T13:29:54:  Optimization status .......: converged

2021-03-03T13:29:54:  Number of parameters ......: 181

2021-03-03T13:29:54:  Number of free parameters .: 90

2021-03-03T13:29:54:  Number of iterations ......: 4

2021-03-03T13:29:54:  Lambda ....................: 1e-07

2021-03-03T13:29:54:  Total number of iterations : 4

2021-03-03T13:29:54:  Maximum log likelihood ....: 62082.826

2021-03-03T13:29:54:  Observed events  (Nobs) ...: 518848.000

2021-03-03T13:29:54:  Predicted events (Npred) ..: 518847.998 (Nobs - Npred = 0.00158940494293347)
2021-03-03T13:29:54: === GModels ===

2021-03-03T13:29:54:  Number of models ..........: 5

2021-03-03T13:29:54:  Number of parameters ......: 181

2021-03-03T13:29:54: === GModelSky ===

2021-03-03T13:29:54:  Name ......................: Crab

2021-03-03T13:29:54:  Instruments ...............: all

2021-03-03T13:29:54:  Test Statistic ............: 1342.20241910682

2021-03-03T13:29:54:  Observation identifiers ...: all

2021-03-03T13:29:54:  Model type ................: DiffuseSource

2021-03-03T13:29:54:  Model components ..........: "DiffuseMap" * "PowerLaw" * "Constant"

2021-03-03T13:29:54:  Number of parameters ......: 5

2021-03-03T13:29:54:  Number of spatial par's ...: 1

2021-03-03T13:29:54:   Normalization ............: 1 [0.001,1000]  (fixed,scale=1,gradient)

2021-03-03T13:29:54:  Number of spectral par's ..: 3

2021-03-03T13:29:54:   Prefactor ................: 0.00228562142310568 +/- 0.000100798979723244 [1e-25,infty[ ph/cm2/s/MeV

 (free,scale=0.002,gradient)

2021-03-03T13:29:54:   Index ....................: -2.12841664400474 +/- 0.0331937822462209 [-10,10]  (free,scale=-2,gradient)

2021-03-03T13:29:54:   PivotEnergy ..............: 1 MeV (fixed,scale=1,gradient)

2021-03-03T13:29:54:  Number of temporal par's ..: 1

2021-03-03T13:29:54:   Normalization ............: 1 (relative value) (fixed,scale=1,gradient)

2021-03-03T13:29:54:  Number of scale par's .....: 0

For reference, here are the results when fitting the Crab using a point source with fixed position:

2021-03-03T13:35:26: +=================================+

2021-03-03T13:35:26: | Maximum likelihood optimisation |

2021-03-03T13:35:26: +=================================+

2021-03-03T13:35:27:  >Iteration   0: -logL=-61654.075, Lambda=1.0e-03

2021-03-03T13:35:27:  >Iteration   1: -logL=-62081.443, Lambda=1.0e-03, delta=427.368, step=1.0e+00, max(|grad|)=78.014038 [Index:3]

2021-03-03T13:35:28:  >Iteration   2: -logL=-62082.462, Lambda=1.0e-04, delta=1.019, step=1.0e+00, max(|grad|)=-2.763837 [Index:3]

2021-03-03T13:35:29:  >Iteration   3: -logL=-62082.464, Lambda=1.0e-05, delta=0.001, step=1.0e+00, max(|grad|)=0.352395 [Index:3]

2021-03-03T13:35:30:

2021-03-03T13:35:30: +====================================+

2021-03-03T13:35:30: | Maximum likelihood re-optimisation |

2021-03-03T13:35:30: +====================================+

2021-03-03T13:35:30:  >Iteration   0: -logL=-61077.879, Lambda=1.0e-03

2021-03-03T13:35:31:  >Iteration   1: -logL=-61410.928, Lambda=1.0e-03, delta=333.049, step=1.0e+00, max(|grad|)=-56.106482 [Scale factor 6:43]

2021-03-03T13:35:31:  >Iteration   2: -logL=-61411.725, Lambda=1.0e-04, delta=0.796, step=1.0e+00, max(|grad|)=-0.143612 [Scale factor 6:43]

2021-03-03T13:35:32:  >Iteration   3: -logL=-61411.725, Lambda=1.0e-05, delta=0.000, step=1.0e+00, max(|grad|)=-0.000007 [Scale factor 5:137]

2021-03-03T13:35:32:

2021-03-03T13:35:32: +=========================================+

2021-03-03T13:35:32: | Maximum likelihood optimisation results |

2021-03-03T13:35:32: +=========================================+

2021-03-03T13:35:32: === GOptimizerLM ===

2021-03-03T13:35:32:  Optimized function value ..: -62082.464

2021-03-03T13:35:32:  Absolute precision ........: 0.005

2021-03-03T13:35:32:  Acceptable value decrease .: 2

2021-03-03T13:35:32:  Optimization status .......: converged

2021-03-03T13:35:32:  Number of parameters ......: 182

2021-03-03T13:35:32:  Number of free parameters .: 90

2021-03-03T13:35:32:  Number of iterations ......: 3

2021-03-03T13:35:32:  Lambda ....................: 1e-06

2021-03-03T13:35:32:  Total number of iterations : 3

2021-03-03T13:35:32:  Maximum log likelihood ....: 62082.464

2021-03-03T13:35:32:  Observed events  (Nobs) ...: 518848.000

2021-03-03T13:35:32:  Predicted events (Npred) ..: 518847.980 (Nobs - Npred = 0.0202852277434431)

2021-03-03T13:35:32: === GModels ===

2021-03-03T13:35:32:  Number of models ..........: 5

2021-03-03T13:35:32:  Number of parameters ......: 182

2021-03-03T13:35:32: === GModelSky ===

2021-03-03T13:35:32:  Name ......................: Crab

2021-03-03T13:35:32:  Instruments ...............: all

2021-03-03T13:35:32:  Test Statistic ............: 1341.47793713401

2021-03-03T13:35:32:  Observation identifiers ...: all

2021-03-03T13:35:32:  Model type ................: PointSource

2021-03-03T13:35:32:  Model components ..........: "PointSource" * "PowerLaw" * "Constant"

2021-03-03T13:35:32:  Number of parameters ......: 6

2021-03-03T13:35:32:  Number of spatial par's ...: 2

2021-03-03T13:35:32:   RA .......................: 83.6331 deg (fixed,scale=1)

2021-03-03T13:35:32:   DEC ......................: 22.0145 deg (fixed,scale=1)

2021-03-03T13:35:32:  Number of spectral par's ..: 3

2021-03-03T13:35:32:   Prefactor ................: 0.00196811473040766 +/- 8.83899781325996e-05 [1e-25,infty[ ph/cm2/s/MeV

 (free,scale=0.002,gradient)
2021-03-03T13:35:32:   Index ....................: -2.13742203320238 +/- 0.0337971491958175 [-10,10]  (free,scale=-2,gradient)

2021-03-03T13:35:32:   PivotEnergy ..............: 1 MeV (fixed,scale=1,gradient)

2021-03-03T13:35:32:  Number of temporal par's ..: 1

2021-03-03T13:35:32:   Normalization ............: 1 (relative value) (fixed,scale=1,gradient)

2021-03-03T13:35:32:  Number of scale par's .....: 0

#4 - 03/03/2021 03:02 PM - Knödlseder Jürgen

- % Done changed from 70 to 80

I now tried a combined fit with the Crab as a point source on top of the Bremsstrahlungs model COMPASS.MIS.M0013006 that I transformed into an

exploitable FITS file. The results of the ctlike fit are shown below. It seems that a significant Bremsstrahlungs component was detected. Note that the

spectral component is for a sky map that integrates to a total flux of 1 ph/cm2/s over the entire sky.

2021-03-03T13:44:24: +=================================+

2021-03-03T13:44:24: | Maximum likelihood optimisation |

2021-03-03T13:44:24: +=================================+

2021-03-03T13:53:22:  >Iteration   0: -logL=-61581.742, Lambda=1.0e-03

2021-03-03T13:53:22:    Parameter "Index" drives optimization step (step=0.45017)

2021-03-03T13:53:24:   Iteration   1: -logL=-61581.742, Lambda=1.0e-03, delta=-4056.535, step=4.5e-01, max(|grad|)=2483.603647 [Index:8]

 (stalled)

2021-03-03T13:53:24:    Parameter "Index" does not drive optimization step anymore.

2021-03-03T13:53:25:   Iteration   2: -logL=-61581.742, Lambda=1.0e-02, delta=-7794.025, step=1.0e+00, max(|grad|)=-4154.397473 [Scale factor

 7:56] (stalled)

2021-03-03T13:53:26:  >Iteration   3: -logL=-62217.740, Lambda=1.0e-01, delta=635.998, step=1.0e+00, max(|grad|)=-1049.348556 [Index:8]

2021-03-03T13:53:28:   Iteration   4: -logL=-62217.740, Lambda=1.0e-02, delta=-700.060, step=1.0e+00, max(|grad|)=3361.965432 [Index:8] (stalled)

2021-03-03T13:53:29:  >Iteration   5: -logL=-62362.570, Lambda=1.0e-01, delta=144.830, step=1.0e+00, max(|grad|)=328.210337 [Index:8]

2021-03-03T13:53:30:   Iteration   6: -logL=-62362.570, Lambda=1.0e-02, delta=-271.494, step=1.0e+00, max(|grad|)=3519.253508 [Index:8] (stalled)

2021-03-03T13:53:32:  >Iteration   7: -logL=-62448.835, Lambda=1.0e-01, delta=86.266, step=1.0e+00, max(|grad|)=186.632637 [Index:8]

2021-03-03T13:53:33:   Iteration   8: -logL=-62448.835, Lambda=1.0e-02, delta=-21.233, step=1.0e+00, max(|grad|)=2928.798019 [Index:8] (stalled)

2021-03-03T13:53:34:  >Iteration   9: -logL=-62512.345, Lambda=1.0e-01, delta=63.510, step=1.0e+00, max(|grad|)=112.339353 [Index:8]

2021-03-03T13:53:36:  >Iteration  10: -logL=-62566.660, Lambda=1.0e-02, delta=54.315, step=1.0e+00, max(|grad|)=2219.245463 [Index:8]

2021-03-03T13:53:37:  >Iteration  11: -logL=-62698.665, Lambda=1.0e-03, delta=132.005, step=1.0e+00, max(|grad|)=496.240370 [Index:8]

2021-03-03T13:53:38:  >Iteration  12: -logL=-62702.266, Lambda=1.0e-04, delta=3.601, step=1.0e+00, max(|grad|)=-18.466775 [Index:8]

2021-03-03T13:53:40:  >Iteration  13: -logL=-62702.276, Lambda=1.0e-05, delta=0.009, step=1.0e+00, max(|grad|)=0.573499 [Index:8]

2021-03-03T13:53:41:  >Iteration  14: -logL=-62702.276, Lambda=1.0e-06, delta=0.000, step=1.0e+00, max(|grad|)=-0.223420 [RA:0]

2021-03-03T13:53:42:

2021-03-03T13:53:42: +====================================+

2021-03-03T13:53:42: | Maximum likelihood re-optimisation |

2021-03-03T13:53:42: +====================================+

2021-03-03T13:53:43:  >Iteration   0: -logL=-61803.774, Lambda=1.0e-03

2021-03-03T13:53:44:  >Iteration   1: -logL=-62117.152, Lambda=1.0e-03, delta=313.378, step=1.0e+00, max(|grad|)=-785.653946 [Index:2]

2021-03-03T13:53:45:  >Iteration   2: -logL=-62124.529, Lambda=1.0e-04, delta=7.377, step=1.0e+00, max(|grad|)=-7.554613 [Index:2]

2021-03-03T13:53:46:  >Iteration   3: -logL=-62124.541, Lambda=1.0e-05, delta=0.012, step=1.0e+00, max(|grad|)=-1.046779 [Index:2]

2021-03-03T13:53:47:  >Iteration   4: -logL=-62124.541, Lambda=1.0e-06, delta=0.000, step=1.0e+00, max(|grad|)=0.132318 [Index:2]

2021-03-03T13:53:47:

2021-03-03T13:53:47: +====================================+

2021-03-03T13:53:47: | Maximum likelihood re-optimisation |

2021-03-03T13:53:47: +====================================+

2021-03-03T13:53:48:  >Iteration   0: -logL=-46494.734, Lambda=1.0e-03

2021-03-03T13:53:49:  >Iteration   1: -logL=-60568.952, Lambda=1.0e-03, delta=14074.217, step=1.0e+00, max(|grad|)=-1676.496895 [Scale factor

 6:19]

2021-03-03T13:53:50:  >Iteration   2: -logL=-62038.785, Lambda=1.0e-04, delta=1469.833, step=1.0e+00, max(|grad|)=-319.622447 [Scale factor

 6:19]

2021-03-03T13:53:51:  >Iteration   3: -logL=-62086.632, Lambda=1.0e-05, delta=47.847, step=1.0e+00, max(|grad|)=-16.751204 [Scale factor 6:19]

2021-03-03T13:53:52:  >Iteration   4: -logL=-62086.755, Lambda=1.0e-06, delta=0.123, step=1.0e+00, max(|grad|)=-0.412606 [RA:0]

2021-03-03T13:53:53:  >Iteration   5: -logL=-62086.756, Lambda=1.0e-07, delta=0.001, step=1.0e+00, max(|grad|)=-0.087088 [RA:0]

2021-03-03T13:53:53:

2021-03-03T13:53:53: +=========================================+

2021-03-03T13:53:53: | Maximum likelihood optimisation results |

2021-03-03T13:53:53: +=========================================+

2021-03-03T13:53:53: === GOptimizerLM ===

2021-03-03T13:53:53:  Optimized function value ..: -62702.276

2021-03-03T13:53:53:  Absolute precision ........: 0.005
2021-03-03T13:53:53:  Acceptable value decrease .: 2

2021-03-03T13:53:53:  Optimization status .......: converged

2021-03-03T13:53:53:  Number of parameters ......: 187

2021-03-03T13:53:53:  Number of free parameters .: 94

2021-03-03T13:53:53:  Number of iterations ......: 14

2021-03-03T13:53:53:  Lambda ....................: 1e-07

2021-03-03T13:53:53:  Total number of iterations : 14

2021-03-03T13:53:53:  Maximum log likelihood ....: 62702.276

2021-03-03T13:53:53:  Observed events  (Nobs) ...: 518848.000

2021-03-03T13:53:53:  Predicted events (Npred) ..: 518848.002 (Nobs - Npred = -0.00232427217997611)

2021-03-03T13:53:53: === GModels ===

2021-03-03T13:53:53:  Number of models ..........: 6

2021-03-03T13:53:53:  Number of parameters ......: 187

2021-03-03T13:53:53: === GModelSky ===

2021-03-03T13:53:53:  Name ......................: Crab

2021-03-03T13:53:53:  Instruments ...............: all

2021-03-03T13:53:53:  Test Statistic ............: 1155.46998872499

2021-03-03T13:53:53:  Observation identifiers ...: all

2021-03-03T13:53:53:  Model type ................: PointSource

2021-03-03T13:53:53:  Model components ..........: "PointSource" * "PowerLaw" * "Constant"

2021-03-03T13:53:53:  Number of parameters ......: 6

2021-03-03T13:53:53:  Number of spatial par's ...: 2

2021-03-03T13:53:53:   RA .......................: 83.3187024069551 +/- 0.106407909650172 deg (free,scale=1)

2021-03-03T13:53:53:   DEC ......................: 21.4941541918816 +/- 0.0991621977588008 deg (free,scale=1)

2021-03-03T13:53:53:  Number of spectral par's ..: 3

2021-03-03T13:53:53:   Prefactor ................: 0.00201339053976973 +/- 9.16884022102387e-05 [1e-25,infty[ ph/cm2/s/MeV

 (free,scale=0.002,gradient)

2021-03-03T13:53:53:   Index ....................: -2.22365004122462 +/- 0.0376176410466636 [-10,10]  (free,scale=-2,gradient)

2021-03-03T13:53:53:   PivotEnergy ..............: 1 MeV (fixed,scale=1,gradient)

2021-03-03T13:53:53:  Number of temporal par's ..: 1

2021-03-03T13:53:53:   Normalization ............: 1 (relative value) (fixed,scale=1,gradient)

2021-03-03T13:53:53:  Number of scale par's .....: 0

2021-03-03T13:53:53: === GModelSky ===

2021-03-03T13:53:53:  Name ......................: Bremsstrahlung

2021-03-03T13:53:53:  Instruments ...............: all

2021-03-03T13:53:53:  Test Statistic ............: 1231.04006336856

2021-03-03T13:53:53:  Observation identifiers ...: all

2021-03-03T13:53:53:  Model type ................: DiffuseSource

2021-03-03T13:53:53:  Model components ..........: "DiffuseMap" * "PowerLaw" * "Constant"

2021-03-03T13:53:53:  Number of parameters ......: 5

2021-03-03T13:53:53:  Number of spatial par's ...: 1

2021-03-03T13:53:53:   Normalization ............: 1 [0.001,1000]  (fixed,scale=1,gradient)

2021-03-03T13:53:53:  Number of spectral par's ..: 3

2021-03-03T13:53:53:   Prefactor ................: 0.110247573189204 +/- 0.00395998080297761 [1e-25,infty[ ph/cm2/s/MeV (free,scale=0.002,gradient)

2021-03-03T13:53:53:   Index ....................: -2.56117059618214 +/- 0.0501530035876717 [-10,10]  (free,scale=-2,gradient)

2021-03-03T13:53:53:   PivotEnergy ..............: 1 MeV (fixed,scale=1,gradient)

2021-03-03T13:53:53:  Number of temporal par's ..: 1

2021-03-03T13:53:53:   Normalization ............: 1 (relative value) (fixed,scale=1,gradient)

2021-03-03T13:53:53:  Number of scale par's .....: 0
#5 - 03/03/2021 03:07 PM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 80 to 90

And here a similar test, but now using the Fermi GALPROP Bremsstrahlungs map cube bremss_mapcube_54_77Xvarh7S.fits. The map cube

normalisation is substantially larger than expected, yet this may also be due to an improper modelling of the background. The TS value of the diffuse

component is equivalent to the one for the map used above.

2021-03-03T13:52:56: +=================================+

2021-03-03T13:52:56: | Maximum likelihood optimisation |

2021-03-03T13:52:56: +=================================+

2021-03-03T14:03:56:  >Iteration   0: -logL=-61639.070, Lambda=1.0e-03

2021-03-03T14:03:56:    Parameter "Index" drives optimization step (step=0.0413367)

2021-03-03T14:03:58:  >Iteration   1: -logL=-61772.598, Lambda=1.0e-03, delta=133.529, step=4.1e-02, max(|grad|)=-1883.722171 [Index:3]

2021-03-03T14:03:58:    Parameter "Index" does not drive optimization step anymore.

2021-03-03T14:03:58:    Parameter "Index" drives optimization step (step=0.0140417)

2021-03-03T14:03:59:   Iteration   2: -logL=-61772.598, Lambda=1.0e-04, delta=-5543707887.127, step=1.4e-02, max(|grad|)=15769507804.831400

 [Index:8] (stalled)

2021-03-03T14:03:59:    Parameter "Index" does not drive optimization step anymore.

2021-03-03T14:03:59:    Parameter "Index" drives optimization step (step=0.0168568)

2021-03-03T14:04:00:   Iteration   3: -logL=-61772.598, Lambda=1.0e-03, delta=-5662908816.825, step=1.7e-02, max(|grad|)=16108541928.161161

 [Index:8] (stalled)

2021-03-03T14:04:00:    Parameter "Index" does not drive optimization step anymore.

2021-03-03T14:04:00:    Parameter "Index" drives optimization step (step=0.0490065)

2021-03-03T14:04:02:   Iteration   4: -logL=-61772.598, Lambda=1.0e-02, delta=-6597348149.473, step=4.9e-02, max(|grad|)=18766289859.179356

 [Index:8] (stalled)

2021-03-03T14:04:02:    Parameter "Index" does not drive optimization step anymore.

2021-03-03T14:04:02:    Parameter "Index" drives optimization step (step=0.505771)

2021-03-03T14:04:03:   Iteration   5: -logL=-61772.598, Lambda=1.0e-01, delta=-8589538372.114, step=5.1e-01, max(|grad|)=24432486475.049541

 [Index:8] (stalled)

2021-03-03T14:04:03:    Parameter "Index" does not drive optimization step anymore.

2021-03-03T14:04:04:  >Iteration   6: -logL=-62045.483, Lambda=1.0e+00, delta=272.885, step=1.0e+00, max(|grad|)=426.688171 [Scale factor

 6:54]

2021-03-03T14:04:04:    Parameter "Index" drives optimization step (step=0.200828)

2021-03-03T14:04:05:   Iteration   7: -logL=-62045.483, Lambda=1.0e-01, delta=-5859375694.754, step=2.0e-01, max(|grad|)=16667349867.400206

 [Index:8] (stalled)

2021-03-03T14:04:05:    Parameter "Index" does not drive optimization step anymore.

2021-03-03T14:04:07:   Iteration   8: -logL=-62045.483, Lambda=1.0e+00, delta=-25909.082, step=1.0e+00, max(|grad|)=95152.291842 [Index:8]

 (stalled)

2021-03-03T14:04:08:  >Iteration   9: -logL=-62056.264, Lambda=1.0e+01, delta=10.781, step=1.0e+00, max(|grad|)=382.540391 [Scale factor 6:54]

2021-03-03T14:04:09:   Iteration  10: -logL=-62056.264, Lambda=1.0e+00, delta=-35474.412, step=1.0e+00, max(|grad|)=126771.252056 [Index:8]

 (stalled)

2021-03-03T14:04:11:  >Iteration  11: -logL=-62064.710, Lambda=1.0e+01, delta=8.446, step=1.0e+00, max(|grad|)=347.030613 [Scale factor 6:54]

2021-03-03T14:04:12:   Iteration  12: -logL=-62064.710, Lambda=1.0e+00, delta=-17989.359, step=1.0e+00, max(|grad|)=68206.439286 [Index:8]

 (stalled)

2021-03-03T14:04:13:  >Iteration  13: -logL=-62071.721, Lambda=1.0e+01, delta=7.011, step=1.0e+00, max(|grad|)=318.859917 [Scale factor 6:54]

2021-03-03T14:04:15:   Iteration  14: -logL=-62071.721, Lambda=1.0e+00, delta=-4349.092, step=1.0e+00, max(|grad|)=18623.715821 [Index:8]

 (stalled)

2021-03-03T14:04:16:  >Iteration  15: -logL=-62077.851, Lambda=1.0e+01, delta=6.130, step=1.0e+00, max(|grad|)=296.482931 [Scale factor 6:54]

2021-03-03T14:04:17:   Iteration  16: -logL=-62077.851, Lambda=1.0e+00, delta=-736.143, step=1.0e+00, max(|grad|)=3668.888780 [Index:8]

 (stalled)

2021-03-03T14:04:18:  >Iteration  17: -logL=-62083.415, Lambda=1.0e+01, delta=5.564, step=1.0e+00, max(|grad|)=278.292095 [Scale factor 6:54]

2021-03-03T14:04:20:   Iteration  18: -logL=-62083.415, Lambda=1.0e+00, delta=-113.589, step=1.0e+00, max(|grad|)=808.345564 [Index:8] (stalled)

2021-03-03T14:04:21:  >Iteration  19: -logL=-62088.593, Lambda=1.0e+01, delta=5.178, step=1.0e+00, max(|grad|)=262.990576 [Scale factor 6:54]

2021-03-03T14:04:22:   Iteration  20: -logL=-62088.463, Lambda=1.0e+00, delta=-0.130, step=1.0e+00, max(|grad|)=-462.209053 [Index:3] (stalled)

2021-03-03T14:04:24:  >Iteration  21: -logL=-62111.986, Lambda=1.0e+01, delta=23.523, step=1.0e+00, max(|grad|)=-313.863670 [Index:3]

2021-03-03T14:04:25:  >Iteration  22: -logL=-62159.332, Lambda=1.0e+00, delta=47.346, step=1.0e+00, max(|grad|)=129.231646 [Scale factor 6:54]

2021-03-03T14:04:26:  >Iteration  23: -logL=-62284.661, Lambda=1.0e-01, delta=125.329, step=1.0e+00, max(|grad|)=268.622021 [Index:3]

2021-03-03T14:04:27:   Iteration  24: -logL=-62284.661, Lambda=1.0e-02, delta=-1179.267, step=1.0e+00, max(|grad|)=2276.145923 [Index:3]

 (stalled)

2021-03-03T14:04:29:  >Iteration  25: -logL=-62426.899, Lambda=1.0e-01, delta=142.238, step=1.0e+00, max(|grad|)=-95.895403 [Index:8]

2021-03-03T14:04:30:   Iteration  26: -logL=-62426.899, Lambda=1.0e-02, delta=-291.586, step=1.0e+00, max(|grad|)=-2279.189227 [Index:8]

 (stalled)

2021-03-03T14:04:31:  >Iteration  27: -logL=-62518.118, Lambda=1.0e-01, delta=91.220, step=1.0e+00, max(|grad|)=-95.478462 [Index:8]

2021-03-03T14:04:33:   Iteration  28: -logL=-62518.118, Lambda=1.0e-02, delta=-28.761, step=1.0e+00, max(|grad|)=-1898.142285 [Index:8]

 (stalled)

2021-03-03T14:04:34:  >Iteration  29: -logL=-62588.720, Lambda=1.0e-01, delta=70.602, step=1.0e+00, max(|grad|)=-59.880711 [Index:8]

2021-03-03T14:04:35:  >Iteration  30: -logL=-62647.217, Lambda=1.0e-02, delta=58.497, step=1.0e+00, max(|grad|)=-1467.469879 [Index:8]

2021-03-03T14:04:37:  >Iteration  31: -logL=-62813.719, Lambda=1.0e-03, delta=166.502, step=1.0e+00, max(|grad|)=-435.999453 [Index:8]

2021-03-03T14:04:38:  >Iteration  32: -logL=-62822.001, Lambda=1.0e-04, delta=8.282, step=1.0e+00, max(|grad|)=19.596625 [Index:8]

2021-03-03T14:04:39:  >Iteration  33: -logL=-62822.028, Lambda=1.0e-05, delta=0.027, step=1.0e+00, max(|grad|)=-0.441555 [Index:8]

2021-03-03T14:04:40:  >Iteration  34: -logL=-62822.028, Lambda=1.0e-06, delta=0.001, step=1.0e+00, max(|grad|)=-0.362485 [DEC:1]

2021-03-03T14:04:42:
2021-03-03T14:04:42: +====================================+

2021-03-03T14:04:42: | Maximum likelihood re-optimisation |

2021-03-03T14:04:42: +====================================+

2021-03-03T14:04:43:  >Iteration   0: -logL=-61922.389, Lambda=1.0e-03

2021-03-03T14:04:43:  >Iteration   1: -logL=-62237.838, Lambda=1.0e-03, delta=315.449, step=1.0e+00, max(|grad|)=441.819553 [Index:2]

2021-03-03T14:04:44:  >Iteration   2: -logL=-62245.164, Lambda=1.0e-04, delta=7.326, step=1.0e+00, max(|grad|)=2.825032 [Index:2]

2021-03-03T14:04:45:  >Iteration   3: -logL=-62245.174, Lambda=1.0e-05, delta=0.009, step=1.0e+00, max(|grad|)=0.541912 [Index:2]

2021-03-03T14:04:46:  >Iteration   4: -logL=-62245.174, Lambda=1.0e-06, delta=0.000, step=1.0e+00, max(|grad|)=-0.066739 [Index:2]

2021-03-03T14:04:46:

2021-03-03T14:04:46: +====================================+

2021-03-03T14:04:46: | Maximum likelihood re-optimisation |

2021-03-03T14:04:46: +====================================+

2021-03-03T14:04:47:  >Iteration   0: -logL=-41229.514, Lambda=1.0e-03

2021-03-03T14:04:48:  >Iteration   1: -logL=-59605.687, Lambda=1.0e-03, delta=18376.173, step=1.0e+00, max(|grad|)=-2198.764762 [Scale factor

 6:19]

2021-03-03T14:04:49:  >Iteration   2: -logL=-61971.384, Lambda=1.0e-04, delta=2365.697, step=1.0e+00, max(|grad|)=-491.954600 [Scale factor

 6:19]

2021-03-03T14:04:50:  >Iteration   3: -logL=-62086.073, Lambda=1.0e-05, delta=114.689, step=1.0e+00, max(|grad|)=-37.587416 [Scale factor 6:19]

2021-03-03T14:04:51:  >Iteration   4: -logL=-62086.755, Lambda=1.0e-06, delta=0.682, step=1.0e+00, max(|grad|)=-0.385056 [RA:0]

2021-03-03T14:04:52:  >Iteration   5: -logL=-62086.756, Lambda=1.0e-07, delta=0.001, step=1.0e+00, max(|grad|)=0.310796 [RA:0]

2021-03-03T14:04:52:

2021-03-03T14:04:52: +=========================================+

2021-03-03T14:04:52: | Maximum likelihood optimisation results |

2021-03-03T14:04:52: +=========================================+

2021-03-03T14:04:52: === GOptimizerLM ===

2021-03-03T14:04:52:  Optimized function value ..: -62822.028

2021-03-03T14:04:52:  Absolute precision ........: 0.005

2021-03-03T14:04:52:  Acceptable value decrease .: 2

2021-03-03T14:04:52:  Optimization status .......: converged

2021-03-03T14:04:52:  Number of parameters ......: 187

2021-03-03T14:04:52:  Number of free parameters .: 94

2021-03-03T14:04:52:  Number of iterations ......: 34

2021-03-03T14:04:52:  Lambda ....................: 1e-07

2021-03-03T14:04:52:  Total number of iterations : 34

2021-03-03T14:04:52:  Maximum log likelihood ....: 62822.028

2021-03-03T14:04:52:  Observed events  (Nobs) ...: 518848.000

2021-03-03T14:04:52:  Predicted events (Npred) ..: 518848.008 (Nobs - Npred = -0.00787464191671461)

2021-03-03T14:04:52: === GModels ===

2021-03-03T14:04:52:  Number of models ..........: 6

2021-03-03T14:04:52:  Number of parameters ......: 187

2021-03-03T14:04:52: === GModelSky ===

2021-03-03T14:04:52:  Name ......................: Crab

2021-03-03T14:04:52:  Instruments ...............: all

2021-03-03T14:04:52:  Test Statistic ............: 1153.70943403302

2021-03-03T14:04:52:  Observation identifiers ...: all

2021-03-03T14:04:52:  Model type ................: PointSource

2021-03-03T14:04:52:  Model components ..........: "PointSource" * "PowerLaw" * "Constant"

2021-03-03T14:04:52:  Number of parameters ......: 6

2021-03-03T14:04:52:  Number of spatial par's ...: 2

2021-03-03T14:04:52:   RA .......................: 83.3607024657905 +/- 0.106513730887916 deg (free,scale=1)

2021-03-03T14:04:52:   DEC ......................: 21.5162045436869 +/- 0.0995136069774054 deg (free,scale=1)

2021-03-03T14:04:52:  Number of spectral par's ..: 3

2021-03-03T14:04:52:   Prefactor ................: 0.00204758058572219 +/- 9.24699984663397e-05 [1e-25,infty[ ph/cm2/s/MeV

 (free,scale=0.002,gradient)

2021-03-03T14:04:52:   Index ....................: -2.24311084793727 +/- 0.0381453551219163 [-10,10]  (free,scale=-2,gradient)

2021-03-03T14:04:52:   PivotEnergy ..............: 1 MeV (fixed,scale=1,gradient)

2021-03-03T14:04:52:  Number of temporal par's ..: 1

2021-03-03T14:04:52:   Normalization ............: 1 (relative value) (fixed,scale=1,gradient)

2021-03-03T14:04:52:  Number of scale par's .....: 0

2021-03-03T14:04:52: === GModelSky ===

2021-03-03T14:04:52:  Name ......................: Bremsstrahlung

2021-03-03T14:04:52:  Instruments ...............: all

2021-03-03T14:04:52:  Test Statistic ............: 1470.54502753206

2021-03-03T14:04:52:  Observation identifiers ...: all

2021-03-03T14:04:52:  Model type ................: DiffuseSource

2021-03-03T14:04:52:  Model components ..........: "DiffuseMapCube" * "PowerLaw" * "Constant"

2021-03-03T14:04:52:  Number of parameters ......: 5

2021-03-03T14:04:52:  Number of spatial par's ...: 1

2021-03-03T14:04:52:   Normalization ............: 1 [0.1,10]  (fixed,scale=1,gradient)

2021-03-03T14:04:52:  Number of spectral par's ..: 3

2021-03-03T14:04:52:   Prefactor ................: 1047.08394863017 +/- 34.4237108768008 [5e-23,infty[ ph/cm2/s/MeV (free,scale=1,gradient)

2021-03-03T14:04:52:   Index ....................: -1.49858487055985 +/- 0.0455191961074791 [-5,5]  (free,scale=1,gradient)

2021-03-03T14:04:52:   PivotEnergy ..............: 1 MeV (fixed,scale=1,gradient)

2021-03-03T14:04:52:  Number of temporal par's ..: 1

2021-03-03T14:04:52:   Normalization ............: 1 (relative value) (fixed,scale=1,gradient)
2021-03-03T14:04:52:  Number of scale par's .....: 0

#6 - 03/03/2021 04:52 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Merged into devel.
